Subject: Re: 979d63d50c0c0f7bc537bf821e056cc9fe5abd38 bpf: prevent out of bounds speculation on pointer arithmetic

From: Greg KH <[email-masked]>
Date: Tue, 12 Mar 2019 04:52:34 -0700

On Mon, Mar 11, 2019 at 05:18:33PM +0800, Jason Yan wrote:
> Hi, Daniel & Greg
> 
> This patch (979d63d50c0c bpf: prevent out of bounds speculation on pointer
> arithmetic) was assigned a CVE (CVE-2019-7308) with a high score:
> 
> CVSS v3.0 Severity and Metrics:
> Base Score: 9.8 CRITICAL
> 
> And this patch is not in stable-4.4, would you please backport this patch to
> 4.4?

For a bit more context, it's also not in 4.14.y, 4.9.y, or 4.4.y.  I
found a backported series for 4.4.y in the SLES kernel tree that I could
try to import here if it really is a big deal.

I'm on the road this week, but if you could take a look at the SLES
patches and see if those work for you, and then forward them here, I
will be glad to queue them up.  Also if you could do the work for 4.14.y
and 4.9.y I'm sure lots of people would appreciate it :)

thanks,

greg k-h